This is an automated email from the git hooks/post-receive script.

gregoa pushed a commit to branch master
in repository libperlio-gzip-perl.

commit 86a220ff58218ba2f8c462935dafc6fda894a836
Author: gregor herrmann <gre...@debian.org>
Date:   Mon Nov 9 21:22:57 2015 +0100

    Imported Upstream version 0.19
---
 Changes     |  6 ++++++
 MANIFEST    |  3 ++-
 META.json   | 39 +++++++++++++++++++++++++++++++++++++++
 META.yml    | 31 ++++++++++++++++++++-----------
 Makefile.PL |  3 ++-
 README      |  2 +-
 gzip.pm     |  2 +-
 gzip.xs     |  2 +-
 8 files changed, 72 insertions(+), 16 deletions(-)

diff --git a/Changes b/Changes
index f421743..ce8ff76 100644
--- a/Changes
+++ b/Changes
@@ -118,3 +118,9 @@ Revision history for Perl extension PerlIO::Gzip.
       TODO 2 tests in read.t which fail. I'm infering that this is because
       :stdio opens in text mode, and there's no way to tell it to open in
       binary mode. Time to consult p5p.
+
+0.19  Sat Feb 28 11:31:29 CET 2015
+      Two patches from zefram [at] fysh.org
+      (#92412) - usesfio config removal breaks
+      And whose fault was this anyway? (See core commit 0b39d4dc4ab83828)
+      (#92031) - printf format mismatch
diff --git a/MANIFEST b/MANIFEST
index 21593f9..ca51139 100644
--- a/MANIFEST
+++ b/MANIFEST
@@ -13,4 +13,5 @@ t/ok21
 t/ok50.gz.short
 t/ok54.gz.len
 t/ok58.gz.crc
-META.yml                                 Module meta-data (added by MakeMaker)
+META.yml                                 Module YAML meta-data (added by 
MakeMaker)
+META.json                                Module JSON meta-data (added by 
MakeMaker)
diff --git a/META.json b/META.json
new file mode 100644
index 0000000..aedffa1
--- /dev/null
+++ b/META.json
@@ -0,0 +1,39 @@
+{
+   "abstract" : "Perl extension to provide a PerlIO layer to gzip/gunzip",
+   "author" : [
+      "Nicholas Clark <nwc10+perlio-g...@colon.colondot.net>"
+   ],
+   "dynamic_config" : 1,
+   "generated_by" : "ExtUtils::MakeMaker version 7.04, CPAN::Meta::Converter 
version 2.143240",
+   "license" : [
+      "perl_5"
+   ],
+   "meta-spec" : {
+      "url" : "http://search.cpan.org/perldoc?CPAN::Meta::Spec";,
+      "version" : "2"
+   },
+   "name" : "PerlIO-gzip",
+   "no_index" : {
+      "directory" : [
+         "t",
+         "inc"
+      ]
+   },
+   "prereqs" : {
+      "build" : {
+         "requires" : {
+            "ExtUtils::MakeMaker" : "0"
+         }
+      },
+      "configure" : {
+         "requires" : {
+            "ExtUtils::MakeMaker" : "0"
+         }
+      },
+      "runtime" : {
+         "requires" : {}
+      }
+   },
+   "release_status" : "stable",
+   "version" : "0.19"
+}
diff --git a/META.yml b/META.yml
index b772580..02c22b8 100644
--- a/META.yml
+++ b/META.yml
@@ -1,12 +1,21 @@
---- #YAML:1.0
-name:                PerlIO-gzip
-version:             0.18
-abstract:            Perl extension to provide a PerlIO layer to gzip/gunzip
-license:             perl
-generated_by:        ExtUtils::MakeMaker version 6.30_02
-author:              Nicholas Clark <nwc10+perlio-g...@colon.colondot.net>
-distribution_type:   module
-requires:     
+---
+abstract: 'Perl extension to provide a PerlIO layer to gzip/gunzip'
+author:
+  - 'Nicholas Clark <nwc10+perlio-g...@colon.colondot.net>'
+build_requires:
+  ExtUtils::MakeMaker: '0'
+configure_requires:
+  ExtUtils::MakeMaker: '0'
+dynamic_config: 1
+generated_by: 'ExtUtils::MakeMaker version 7.04, CPAN::Meta::Converter version 
2.143240'
+license: perl
 meta-spec:
-    url: <http://module-build.sourceforge.net/META-spec-new.html>;
-    version: 1.1
+  url: http://module-build.sourceforge.net/META-spec-v1.4.html
+  version: '1.4'
+name: PerlIO-gzip
+no_index:
+  directory:
+    - t
+    - inc
+requires: {}
+version: '0.19'
diff --git a/Makefile.PL b/Makefile.PL
index cd76013..81401c3 100644
--- a/Makefile.PL
+++ b/Makefile.PL
@@ -4,7 +4,8 @@ use 5.008; # Stop perl 5.005 or earler barfing on the v string
 use ExtUtils::MakeMaker;
 use Config;
 
-unless ($Config{useperlio} eq 'define' and $Config{usesfio} eq 'false') {
+unless ($Config{useperlio} eq 'define' and
+       (defined($Config{usesfio}) ? $Config{usesfio} : 'false') eq 'false') {
   die <<BARF;
 You need perl 5.8.0 or later, configured to use perlio (and not to use sfio)
 BARF
diff --git a/README b/README
index de3e28d..4bbaaff 100644
--- a/README
+++ b/README
@@ -1,4 +1,4 @@
-PerlIO::gzip version 0.18
+PerlIO::gzip version 0.19
 =========================
 
 A layer for the PerlIO system to transparently gzip/gunzip files.
diff --git a/gzip.pm b/gzip.pm
index a1f785f..f66c5bc 100644
--- a/gzip.pm
+++ b/gzip.pm
@@ -6,7 +6,7 @@ use warnings;
 
 use XSLoader ();
 
-our $VERSION = '0.18';
+our $VERSION = '0.19';
 
 XSLoader::load "PerlIO::gzip", $VERSION;
 
diff --git a/gzip.xs b/gzip.xs
index cb5442c..28f667d 100644
--- a/gzip.xs
+++ b/gzip.xs
@@ -867,7 +867,7 @@ PerlIOGzip_popped(pTHX_ PerlIO *f)
   if (g->flags & LAYERGZIP_FLAG_DEFL_INIT_DONE) {
     g->flags &= ~LAYERGZIP_FLAG_DEFL_INIT_DONE;
     code = deflateEnd (&(g->zs));
-    PerlIO_debug("PerlIOGzip_popped code=%d\n", code);
+    PerlIO_debug("PerlIOGzip_popped code=%"IVdf"\n", code);
     code = (code == Z_OK) ? 0 : -1;
   }
 

-- 
Alioth's /usr/local/bin/git-commit-notice on 
/srv/git.debian.org/git/pkg-perl/packages/libperlio-gzip-perl.git

_______________________________________________
Pkg-perl-cvs-commits mailing list
Pkg-perl-cvs-commits@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-perl-cvs-commits

Reply via email to